/// <reference types="node" />
import { BigNumberString, DecimalString, HexString32 } from "@snickerdoodlelabs/objects";
export interface IBigNumberUtils {
    multiply(bn: bigint | BigNumberString, number: number, decimals?: number): bigint;
    divide(bn: bigint | BigNumberString, number: number, decimals?: number): bigint;
    DSToBN(decimalString: DecimalString, decimals?: number): bigint;
    DSToBNS(decimalString: DecimalString, decimals?: number): BigNumberString;
    BNtoBuffer(bigint: bigint): Buffer;
    BNToBNS(bigint: bigint): BigNumberString;
    BNToDS(bigint: bigint, decimals?: number): DecimalString;
    BNtoUint8Array(bigint: bigint): Uint8Array;
    BNStoBuffer(bigNumberString: BigNumberString): Buffer;
    BNSToBN(bigNumberString: BigNumberString): bigint;
    BNSToDS(bigNumberString: BigNumberString, decimals?: number): DecimalString;
    BNStoHexString32(bigNumberString: BigNumberString): HexString32;
    BNStoHexString32NoPrefix(bigNumberString: BigNumberString): HexString32;
    BNStoUint8Array(bigNumberString: BigNumberString): Uint8Array;
    bufferToBN(buffer: Buffer): bigint;
    bufferToBNS(buffer: Buffer): BigNumberString;
    uint8ArrayToBN(uint8Array: Uint8Array): bigint;
    uint8ArrayToBNS(uint8Array: Uint8Array): BigNumberString;
    HexString32NoPrefixToBN(hexString: HexString32): bigint;
    HexString32NoPrefixToBNS(hexString: HexString32): BigNumberString;
    validateBNS(bigNumberString: string): boolean;
}
export declare const IBigNumberUtilsType: unique symbol;
//# sourceMappingURL=IBigNumberUtils.d.ts.map